Bug 715976 - PyQt / PyQwt version mismatch
Summary: PyQt / PyQwt version mismatch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PyQwt
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Tadej Janež
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Depends On:
Blocks: F16FTBFS
TreeView+ depends on / blocked
 
Reported: 2011-06-23 15:50 UTC by FTBFS
Modified: 2011-12-12 16:07 UTC (History)
3 users (show)

Fixed In Version: PyQwt-5.2.0-14.fc16.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-17 00:45:14 UTC
Type: ---


Attachments (Terms of Use)
root.log (668.09 KB, text/plain)
2011-06-23 15:50 UTC, FTBFS
no flags Details
build.log (55.05 KB, text/plain)
2011-06-23 15:50 UTC, FTBFS
no flags Details
mock.log (1.28 KB, text/plain)
2011-06-23 15:50 UTC, FTBFS
no flags Details
root.log (933.55 KB, text/plain)
2011-06-23 15:50 UTC, FTBFS
no flags Details
build.log (53.09 KB, text/plain)
2011-06-23 15:50 UTC, FTBFS
no flags Details
mock.log (1.21 KB, text/plain)
2011-06-23 15:50 UTC, FTBFS
no flags Details

Description FTBFS 2011-06-23 15:50:09 UTC
PyMca-4.4.1-3.p1.fc16.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)

Comment 1 FTBFS 2011-06-23 15:50:13 UTC
Created attachment 508171 [details]
root.log


root.log for i386

Comment 2 FTBFS 2011-06-23 15:50:14 UTC
Created attachment 508172 [details]
build.log


build.log for i386

Comment 3 FTBFS 2011-06-23 15:50:15 UTC
Created attachment 508173 [details]
mock.log


mock.log for i386

Comment 4 FTBFS 2011-06-23 15:50:18 UTC
Created attachment 508174 [details]
root.log


root.log for x86_64

Comment 5 FTBFS 2011-06-23 15:50:19 UTC
Created attachment 508175 [details]
build.log


build.log for x86_64

Comment 6 FTBFS 2011-06-23 15:50:21 UTC
Created attachment 508176 [details]
mock.log


mock.log for x86_64

Comment 7 Susi Lehtola 2011-06-24 09:52:40 UTC
Failed due to

Traceback (most recent call last):
  File "setup.py", line 390, in <module>
    from PyQt4 import Qwt5
  File "/usr/lib/python2.7/site-packages/PyQt4/Qwt5/__init__.py", line 32, in <module>
    from Qwt import *
RuntimeError: the PyQt4.QtCore module is version 1 but the PyQt4.Qwt5.Qwt module requires version -1

Comment 8 Susi Lehtola 2011-07-14 12:21:26 UTC
Issue is still present.

Comment 9 Tadej Janež 2011-07-15 13:01:52 UTC
I'll try to get a rawhide machine ready and then look into this.

Comment 10 Tadej Janež 2011-09-08 15:27:00 UTC
Hi!

I finally got the time to look into this.

Rebuilding PyQwt on F-16 fixes the problem. I tested it with a F-16 Alpha virtual machine. However, it introduces a new issue with rpath, which I would like to resolve before pushing the update. I raised the issue on the devel mailing list:
http://lists.fedoraproject.org/pipermail/devel/2011-September/156563.html

Comment 11 Fedora Update System 2011-09-18 20:22:34 UTC
PyQwt-5.2.0-14.fc16.1 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/PyQwt-5.2.0-14.fc16.1

Comment 12 Fedora Update System 2011-09-19 18:29:54 UTC
Package PyQwt-5.2.0-14.fc16.1:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing PyQwt-5.2.0-14.fc16.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/PyQwt-5.2.0-14.fc16.1
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2011-10-08 14:18:29 UTC
PyQwt-5.2.0-14.fc16.2 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/PyQwt-5.2.0-14.fc16.2

Comment 14 Fedora Update System 2011-10-17 00:45:14 UTC
PyQwt-5.2.0-14.fc16.2 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Pierre Pudlo 2011-12-12 09:31:11 UTC
Same issue on Fedora 15. 

Is it possible to have an update of PyQwt-5.2.0-12.fc15 ?

Comment 16 Tadej Janež 2011-12-12 10:30:10 UTC
Acknowledged.

Pierre, could you please file a new bug against PyQwt?

Comment 17 Pierre Pudlo 2011-12-12 15:36:14 UTC
Ok. Is that what you expected ?
https://bugzilla.redhat.com/show_bug.cgi?id=766726

Comment 18 Tadej Janež 2011-12-12 16:07:20 UTC
(In reply to comment #17)
> Ok. Is that what you expected ?

Perfect, thanks!


Note You need to log in before you can comment on or make changes to this bug.